Upstream information

CVE-2024-5564 at MITRE

Description

A vulnerability was found in libndp. This flaw allows a local malicious user to cause a buffer overflow in NetworkManager, triggered by sending a malformed IPv6 router advertisement packet. This issue occurred as libndp was not correctly validating the route length information.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having important severity.

CVSS v3 Scores
  SUSE
Base Score 7.5
Vector CVSS:3.1/AV:A/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
Attack Vector Adjacent Network
Attack Complexity High
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1225771 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container suse/hpc/warewulf4-x86_64/sle-hpc-node:15.6.17.5.5
Container suse/sle-micro-rancher/5.3:latest
Container suse/sle-micro-rancher/5.4:latest
Container suse/sle-micro/5.5:2.0.4-5.5.58
Container suse/sle-micro/kvm-5.5:2.0.4-3.5.69
Container suse/sle-micro/rt-5.5:2.0.4-4.5.76
Image SLES15-SP4-Micro-5-3
Image SLES15-SP4-Micro-5-3-BYOS
Image SLES15-SP4-Micro-5-3-BYOS-Azure
Image SLES15-SP4-Micro-5-3-BYOS-EC2
Image SLES15-SP4-Micro-5-3-BYOS-GCE
Image SLES15-SP4-Micro-5-3-EC2
Image SLES15-SP4-Micro-5-4
Image SLES15-SP4-Micro-5-4-BYOS
Image SLES15-SP4-Micro-5-4-BYOS-Azure
Image SLES15-SP4-Micro-5-4-EC2
Image SLES15-SP5-Micro-5-5
Image SLES15-SP5-Micro-5-5-BYOS
Image SLES15-SP5-Micro-5-5-BYOS-EC2
Image SLES15-SP5-Micro-5-5-BYOS-GCE
Image SLES15-SP5-Micro-5-5-EC2
Image SLES15-SP5-Micro-5-5-GCE
  • libndp0 >= 1.6-150000.3.3.1
SUSE Enterprise Storage 7.1
  • libndp-devel >= 1.6-150000.3.3.1
  • libndp0 >= 1.6-150000.3.3.1
Patchnames:
SUSE-Storage-7.1-2024-2283
SUSE Liberty Linux 8
  • libndp >= 1.7-7.el8_10
Patchnames:
RHSA-2024:4620
SUSE Liberty Linux 9
  • libndp >= 1.8-6.el9_4
Patchnames:
RHSA-2024:4636
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Desktop Applications 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • libndp-devel >= 1.6-150000.3.3.1
  • libndp0 >= 1.6-150000.3.3.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP5-2024-2283
SUSE Linux Enterprise Desktop 15 SP6
SUSE Linux Enterprise High Performance Computing 15 SP6
SUSE Linux Enterprise Module for Desktop Applications 15 SP6
SUSE Linux Enterprise Server 15 SP6
SUSE Linux Enterprise Server for SAP Applications 15 SP6
  • libndp-devel >= 1.6-150000.3.3.1
  • libndp0 >= 1.6-150000.3.3.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP6-2024-2283
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS
  • libndp-devel >= 1.6-150000.3.3.1
  • libndp0 >= 1.6-150000.3.3.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-LTSS-2024-2283
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS
  • libndp-devel >= 1.6-150000.3.3.1
  • libndp0 >= 1.6-150000.3.3.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-LTSS-2024-2283
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS
  • libndp-devel >= 1.6-150000.3.3.1
  • libndp0 >= 1.6-150000.3.3.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP4-ESPOS-2024-2283
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS
  • libndp-devel >= 1.6-150000.3.3.1
  • libndp0 >= 1.6-150000.3.3.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP4-LTSS-2024-2283
SUSE Linux Enterprise Micro 5.3
  • libndp0 >= 1.6-150000.3.3.1
Patchnames:
SUSE-SLE-Micro-5.3-2024-2283
SUSE Linux Enterprise Micro 5.4
  • libndp0 >= 1.6-150000.3.3.1
Patchnames:
SUSE-SLE-Micro-5.4-2024-2283
SUSE Linux Enterprise Micro 5.5
  • libndp0 >= 1.6-150000.3.3.1
Patchnames:
SUSE-SLE-Micro-5.5-2024-2283
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libndp0 >= 1.6-4.5.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2024-2541
SUSE Linux Enterprise Server 15 SP2-LTSS
  • libndp-devel >= 1.6-150000.3.3.1
  • libndp0 >= 1.6-150000.3.3.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-LTSS-2024-2283
SUSE Linux Enterprise Server 15 SP3-LTSS
  • libndp-devel >= 1.6-150000.3.3.1
  • libndp0 >= 1.6-150000.3.3.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP3-LTSS-2024-2283
SUSE Linux Enterprise Server 15 SP4-LTSS
  • libndp-devel >= 1.6-150000.3.3.1
  • libndp0 >= 1.6-150000.3.3.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP4-LTSS-2024-2283
SUSE Linux Enterprise Server for SAP Applications 15 SP2
  • libndp-devel >= 1.6-150000.3.3.1
  • libndp0 >= 1.6-150000.3.3.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP2-2024-2283
SUSE Linux Enterprise Server for SAP Applications 15 SP3
  • libndp-devel >= 1.6-150000.3.3.1
  • libndp0 >= 1.6-150000.3.3.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP3-2024-2283
SUSE Linux Enterprise Server for SAP Applications 15 SP4
  • libndp-devel >= 1.6-150000.3.3.1
  • libndp0 >= 1.6-150000.3.3.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP4-2024-2283
openSUSE Leap 15.5
  • libndp >= 1.6-150000.3.3.1
  • libndp-devel >= 1.6-150000.3.3.1
  • libndp0 >= 1.6-150000.3.3.1
Patchnames:
openSUSE-SLE-15.5-2024-2283
openSUSE Leap 15.6
  • libndp >= 1.6-150000.3.3.1
  • libndp-devel >= 1.6-150000.3.3.1
  • libndp0 >= 1.6-150000.3.3.1
Patchnames:
openSUSE-SLE-15.6-2024-2283
openSUSE Leap Micro 5.5
  • libndp0 >= 1.6-150000.3.3.1
Patchnames:
openSUSE-Leap-Micro-5.5-2024-2283
openSUSE Tumbleweed
  • libndp >= 1.8-2.1
  • libndp-devel >= 1.8-2.1
  • libndp0 >= 1.8-2.1
Patchnames:
openSUSE-Tumbleweed-2024-14112


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 libndp Released
SUSE Linux Enterprise Desktop 15 SP5 libndp Released
SUSE Linux Enterprise Desktop 15 SP6 libndp Released
SUSE Linux Enterprise High Performance Computing 12 SP5 libndp Affected
SUSE Linux Enterprise High Performance Computing 15 SP5 libndp Released
SUSE Linux Enterprise High Performance Computing 15 SP6 libndp Released
SUSE Linux Enterprise Micro 5.3 libndp Released
SUSE Linux Enterprise Micro 5.4 libndp Released
SUSE Linux Enterprise Micro 5.5 libndp Released
SUSE Linux Enterprise Micro 6.0 libndp Affected
SUSE Linux Enterprise Micro for Rancher 5.3 libndp Released
SUSE Linux Enterprise Micro for Rancher 5.4 libndp Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP5 libndp Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP6 libndp Released
SUSE Linux Enterprise Server 12 SP5 libndp Released
SUSE Linux Enterprise Server 15 SP5 libndp Released
SUSE Linux Enterprise Server 15 SP6 libndp Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libndp Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 libndp Released
SUSE Linux Enterprise Server for SAP Applications 15 SP6 libndp Released
SUSE Manager Proxy 4.3 libndp Affected
SUSE Manager Retail Branch Server 4.3 libndp Affected
SUSE Manager Server 4.3 libndp Affected
openSUSE Leap 15.5 libndp Released
openSUSE Leap 15.6 libndp Released
openSUSE Leap Micro 5.5 libndp Affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 libndp Affected
SUSE Linux Enterprise Desktop 15 SP4 LTSS libndp Released
SUSE Linux Enterprise High Performance Computing 15 SP2 libndp Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS libndp Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS libndp Released
SUSE Linux Enterprise High Performance Computing 15 SP3 libndp Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS libndp Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS libndp Released
SUSE Linux Enterprise High Performance Computing 15 SP4 libndp Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS libndp Released
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS libndp Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 libndp Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 libndp Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 libndp Affected
SUSE Linux Enterprise Server 15 SP2 libndp Affected
SUSE Linux Enterprise Server 15 SP2-LTSS libndp Released
SUSE Linux Enterprise Server 15 SP3 libndp Affected
SUSE Linux Enterprise Server 15 SP3-LTSS libndp Released
SUSE Linux Enterprise Server 15 SP4 libndp Affected
SUSE Linux Enterprise Server 15 SP4-LTSS libndp Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 libndp Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 libndp Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 libndp Released
Products past their end of life and not receiving proactive updates anymore.
SUSE CaaS Platform 4.0 libndp Affected
SUSE Enterprise Storage 6 libndp Affected
SUSE Enterprise Storage 7 libndp Affected
SUSE Linux Enterprise Desktop 12 SP2 libndp Affected
SUSE Linux Enterprise Desktop 12 SP3 libndp Affected
SUSE Linux Enterprise Desktop 12 SP4 libndp Affected
SUSE Linux Enterprise Desktop 15 libndp Affected
SUSE Linux Enterprise Desktop 15 SP1 libndp Affected
SUSE Linux Enterprise Desktop 15 SP2 libndp Affected
SUSE Linux Enterprise Desktop 15 SP3 libndp Affected
SUSE Linux Enterprise High Performance Computing 15 libndp Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 libndp Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS libndp Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS libndp Affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS libndp Affected
SUSE Linux Enterprise High Performance Computing 15-LTSS libndp Affected
SUSE Linux Enterprise Module for Desktop Applications 15 libndp Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 libndp Affected
SUSE Linux Enterprise Real Time 15 SP2 libndp Affected
SUSE Linux Enterprise Real Time 15 SP3 libndp Affected
SUSE Linux Enterprise Real Time 15 SP4 libndp Affected
SUSE Linux Enterprise Server 12 SP2 libndp Affected
SUSE Linux Enterprise Server 12 SP3 libndp Affected
SUSE Linux Enterprise Server 12 SP4 libndp Affected
SUSE Linux Enterprise Server 15 libndp Affected
SUSE Linux Enterprise Server 15 SP1 libndp Affected
SUSE Linux Enterprise Server 15 SP1-BCL libndp Affected
SUSE Linux Enterprise Server 15 SP1-LTSS libndp Affected
SUSE Linux Enterprise Server 15 SP2-BCL libndp Affected
SUSE Linux Enterprise Server 15 SP3-BCL libndp Affected
SUSE Linux Enterprise Server 15-LTSS libndp Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libndp Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libndp Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libndp Affected
SUSE Linux Enterprise Server for SAP Applications 15 libndp Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libndp Affected
SUSE Linux Enterprise Workstation Extension 12 SP2 libndp Affected
SUSE Linux Enterprise Workstation Extension 12 SP3 libndp Affected
SUSE Linux Enterprise Workstation Extension 12 SP4 libndp Affected
SUSE Manager Proxy 4.0 libndp Affected
SUSE Manager Proxy 4.1 libndp Affected
SUSE Manager Proxy 4.2 libndp Affected
SUSE Manager Retail Branch Server 4.0 libndp Affected
SUSE Manager Retail Branch Server 4.1 libndp Affected
SUSE Manager Retail Branch Server 4.2 libndp Affected
SUSE Manager Server 4.0 libndp Affected
SUSE Manager Server 4.1 libndp Affected
SUSE Manager Server 4.2 libndp Affected
openSUSE Leap 15.3 libndp Affected
openSUSE Leap 15.4 libndp Affected
openSUSE Leap Micro 5.3 libndp Affected
openSUSE Leap Micro 5.4 libndp Affected


SUSE Timeline for this CVE

CVE page created: Fri May 31 16:00:08 2024
CVE page last modified: Tue Jul 23 11:56:24 2024